diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/applications/model/udp-client.cc ns-3.45/src/applications/model/udp-client.cc
--- ns-3.44/src/applications/model/udp-client.cc	2025-03-09 16:55:49.347370900 -0700
+++ ns-3.45/src/applications/model/udp-client.cc	2025-06-01 20:34:45.282701000 -0700
@@ -49,17 +49,19 @@
                           TimeValue(Seconds(1)),
                           MakeTimeAccessor(&UdpClient::m_interval),
                           MakeTimeChecker())
-            .AddAttribute("RemoteAddress",
-                          "The destination Address of the outbound packets",
-                          AddressValue(),
-                          MakeAddressAccessor(
-                              (void(UdpClient::*)(const Address&)) &
-                                  UdpClient::SetRemote, // this is needed to indicate which version
-                                                        // of the function overload to use
-                              &UdpClient::GetRemote),
-                          MakeAddressChecker(),
-                          TypeId::SupportLevel::DEPRECATED,
-                          "Replaced by Remote in ns-3.44.")
+            // NS_DEPRECATED_3_44
+            .AddAttribute(
+                "RemoteAddress",
+                "The destination Address of the outbound packets",
+                AddressValue(),
+                MakeAddressAccessor(
+                    // this is needed to indicate which version of the function overload to use
+                    static_cast<void (UdpClient::*)(const Address&)>(&UdpClient::SetRemote),
+                    &UdpClient::GetRemote),
+                MakeAddressChecker(),
+                TypeId::SupportLevel::DEPRECATED,
+                "Replaced by Remote in ns-3.44.")
+            // NS_DEPRECATED_3_44
             .AddAttribute("RemotePort",
                           "The destination port of the outbound packets",
                           UintegerValue(UdpClient::DEFAULT_PORT),
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/applications/model/udp-echo-client.cc ns-3.45/src/applications/model/udp-echo-client.cc
--- ns-3.44/src/applications/model/udp-echo-client.cc	2025-03-09 16:55:49.347370900 -0700
+++ ns-3.45/src/applications/model/udp-echo-client.cc	2025-06-01 20:34:45.282701000 -0700
@@ -41,18 +41,19 @@
                           TimeValue(Seconds(1)),
                           MakeTimeAccessor(&UdpEchoClient::m_interval),
                           MakeTimeChecker())
+            // NS_DEPRECATED_3_44
             .AddAttribute(
                 "RemoteAddress",
                 "The destination Address of the outbound packets",
                 AddressValue(),
                 MakeAddressAccessor(
-                    (void(UdpEchoClient::*)(const Address&)) &
-                        UdpEchoClient::SetRemote, // this is needed to indicate which version of the
-                                                  // function overload to use
+                    // this is needed to indicate which version of the function overload to use
+                    static_cast<void (UdpEchoClient::*)(const Address&)>(&UdpEchoClient::SetRemote),
                     &UdpEchoClient::GetRemote),
                 MakeAddressChecker(),
                 TypeId::SupportLevel::DEPRECATED,
                 "Replaced by Remote in ns-3.44.")
+            // NS_DEPRECATED_3_44
             .AddAttribute("RemotePort",
                           "The destination port of the outbound packets",
                           UintegerValue(UdpEchoClient::DEFAULT_PORT),
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/applications/model/udp-trace-client.cc ns-3.45/src/applications/model/udp-trace-client.cc
--- ns-3.44/src/applications/model/udp-trace-client.cc	2025-03-09 16:55:49.347370900 -0700
+++ ns-3.45/src/applications/model/udp-trace-client.cc	2025-06-01 20:34:45.282701000 -0700
@@ -56,24 +56,27 @@
             .SetParent<SourceApplication>()
             .SetGroupName("Applications")
             .AddConstructor<UdpTraceClient>()
-            .AddAttribute("RemoteAddress",
-                          "The destination Address of the outbound packets",
-                          AddressValue(),
-                          MakeAddressAccessor(
-                              (void(UdpTraceClient::*)(const Address&)) &
-                              UdpTraceClient::SetRemote), // this is needed to indicate which
-                                                          // version of the function overload to use
-                          MakeAddressChecker(),
-                          TypeId::SupportLevel::DEPRECATED,
-                          "Replaced by Remote in ns-3.44.")
+            // NS_DEPRECATED_3_44
+            .AddAttribute(
+                "RemoteAddress",
+                "The destination Address of the outbound packets",
+                AddressValue(),
+                MakeAddressAccessor(
+                    // this is needed to indicate which version of the function overload to use
+                    static_cast<void (UdpTraceClient::*)(const Address&)>(
+                        &UdpTraceClient::SetRemote)),
+                MakeAddressChecker(),
+                TypeId::SupportLevel::DEPRECATED,
+                "Replaced by Remote in ns-3.44.")
+            // NS_DEPRECATED_3_44
             .AddAttribute(
                 "RemotePort",
                 "The destination port of the outbound packets",
                 UintegerValue(UdpTraceClient::DEFAULT_PORT),
                 MakeAddressAccessor(
-                    (void(UdpTraceClient::*)(const Address&)) &
-                        UdpTraceClient::SetRemote, // this is needed to indicate which version of
-                                                   // the function overload to use
+                    // this is needed to indicate which version of the function overload to use
+                    static_cast<void (UdpTraceClient::*)(const Address&)>(
+                        &UdpTraceClient::SetRemote),
                     &UdpTraceClient::GetRemote),
                 MakeUintegerChecker<uint16_t>(),
                 TypeId::SupportLevel::DEPRECATED,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/applications/test/three-gpp-http-client-server-test.cc ns-3.45/src/applications/test/three-gpp-http-client-server-test.cc
--- ns-3.44/src/applications/test/three-gpp-http-client-server-test.cc	2025-03-09 16:55:49.347370900 -0700
+++ ns-3.45/src/applications/test/three-gpp-http-client-server-test.cc	2025-06-01 20:34:45.283701200 -0700
@@ -579,11 +579,9 @@
                      << m_mainObjectTracker.GetNumOfObjectsReceived() << " object(s).");
     NS_LOG_INFO(this << " Total embedded objects received: "
                      << m_embeddedObjectTracker.GetNumOfObjectsReceived() << " object(s).");
-    NS_LOG_INFO(this << " One-trip delays:"
-                     << " average=" << m_delayCalculator->getMean() << " min="
+    NS_LOG_INFO(this << " One-trip delays: average=" << m_delayCalculator->getMean() << " min="
                      << m_delayCalculator->getMin() << " max=" << m_delayCalculator->getMax());
-    NS_LOG_INFO(this << " Round-trip delays:"
-                     << " average=" << m_rttCalculator->getMean() << " min="
+    NS_LOG_INFO(this << " Round-trip delays: average=" << m_rttCalculator->getMean() << " min="
                      << m_rttCalculator->getMin() << " max=" << m_rttCalculator->getMax());
     NS_LOG_INFO(this << " Number of packets dropped by the devices: " << m_numOfPacketDrops
                      << " packet(s).");
@@ -601,8 +599,7 @@
                           "Tracker of embedded objects detected irrelevant packet(s).");
 
     Simulator::Destroy();
-
-} // end of `void HttpClientServerTestCase::DoRun ()`
+}
 
 void
 ThreeGppHttpObjectTestCase::DoTeardown()
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/buildings/helper/building-position-allocator.cc ns-3.45/src/buildings/helper/building-position-allocator.cc
--- ns-3.44/src/buildings/helper/building-position-allocator.cc	2025-03-09 16:55:49.351371000 -0700
+++ ns-3.45/src/buildings/helper/building-position-allocator.cc	2025-06-01 20:34:45.285701000 -0700
@@ -283,10 +283,9 @@
     double y2 = box.yMin + rdy * r.roomy;
     double z1 = box.zMin + rdz * (r.floor - 1);
     double z2 = box.zMin + rdz * r.floor;
-    NS_LOG_LOGIC("randomly allocating position in "
-                 << " (" << x1 << "," << x2 << ") "
-                 << "x (" << y1 << "," << y2 << ") "
-                 << "x (" << z1 << "," << z2 << ") ");
+    NS_LOG_LOGIC("randomly allocating position in (" << x1 << "," << x2 << ") "
+                                                     << "x (" << y1 << "," << y2 << ") "
+                                                     << "x (" << z1 << "," << z2 << ") ");
 
     double x = m_rand->GetValue(x1, x2);
     double y = m_rand->GetValue(y1, y2);
@@ -374,10 +373,9 @@
     double y2 = box.yMin + rdy * roomy;
     double z1 = box.zMin + rdz * (floor - 1);
     double z2 = box.zMin + rdz * floor;
-    NS_LOG_LOGIC("randomly allocating position in "
-                 << " (" << x1 << "," << x2 << ") "
-                 << "x (" << y1 << "," << y2 << ") "
-                 << "x (" << z1 << "," << z2 << ") ");
+    NS_LOG_LOGIC("randomly allocating position in (" << x1 << "," << x2 << ") "
+                                                     << "x (" << y1 << "," << y2 << ") "
+                                                     << "x (" << z1 << "," << z2 << ") ");
 
     double x = m_rand->GetValue(x1, x2);
     double y = m_rand->GetValue(y1, y2);
@@ -435,10 +433,9 @@
     double y2 = box.yMin + rdy * roomy;
     double z1 = box.zMin + rdz * (floor - 1);
     double z2 = box.zMin + rdz * floor;
-    NS_LOG_LOGIC("randomly allocating position in "
-                 << " (" << x1 << "," << x2 << ") "
-                 << "x (" << y1 << "," << y2 << ") "
-                 << "x (" << z1 << "," << z2 << ") ");
+    NS_LOG_LOGIC("randomly allocating position in (" << x1 << "," << x2 << ") "
+                                                     << "x (" << y1 << "," << y2 << ") "
+                                                     << "x (" << z1 << "," << z2 << ") ");
 
     double x = m_rand->GetValue(x1, x2);
     double y = m_rand->GetValue(y1, y2);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/buildings/model/hybrid-buildings-propagation-loss-model.cc ns-3.45/src/buildings/model/hybrid-buildings-propagation-loss-model.cc
--- ns-3.44/src/buildings/model/hybrid-buildings-propagation-loss-model.cc	2025-03-09 16:55:49.351371000 -0700
+++ ns-3.45/src/buildings/model/hybrid-buildings-propagation-loss-model.cc	2025-06-01 20:34:45.286701200 -0700
@@ -199,7 +199,7 @@
                 loss = ItuR1411(a, b) + ExternalWallLoss(b1) + HeightLoss(b1);
                 NS_LOG_INFO(this << " 0-I (<1000) ITUR1411 + BEL : " << loss);
             }
-        } // end b1->isIndoor ()
+        }
     }
     else
     {
@@ -242,8 +242,8 @@
                 loss = ItuR1411(a, b) + ExternalWallLoss(a1) + HeightLoss(a1);
                 NS_LOG_INFO(this << " I-O (<1000)  ITUR1411 + BEL + HG: " << loss);
             }
-        } // end if (isBIndoor)
-    }     // end if (!isAIndoor)
+        }
+    }
 
     loss = std::max(loss, 0.0);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/buildings/model/hybrid-buildings-propagation-loss-model.h ns-3.45/src/buildings/model/hybrid-buildings-propagation-loss-model.h
--- ns-3.44/src/buildings/model/hybrid-buildings-propagation-loss-model.h	2025-03-09 16:55:49.351371000 -0700
+++ ns-3.45/src/buildings/model/hybrid-buildings-propagation-loss-model.h	2025-06-01 20:34:45.286701200 -0700
@@ -39,7 +39,7 @@
  *  - frequency: from 200 uo to 2600 MHz
  *  - short range communications vs long range communications
  *  - Node position respect to buildings: indoor, outdoor and hybrid (indoor <-> outdoor)
- *  - Building penetretation loss
+ *  - Building penetration loss
  *  - floors, etc...
  *
  *  @warning This model works only with MobilityBuildingInfo
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/buildings/model/oh-buildings-propagation-loss-model.cc ns-3.45/src/buildings/model/oh-buildings-propagation-loss-model.cc
--- ns-3.44/src/buildings/model/oh-buildings-propagation-loss-model.cc	2025-03-09 16:55:49.351371000 -0700
+++ ns-3.45/src/buildings/model/oh-buildings-propagation-loss-model.cc	2025-06-01 20:34:45.286701200 -0700
@@ -77,7 +77,7 @@
             // b indoor
             loss = m_okumuraHata->GetLoss(a, b) + ExternalWallLoss(b1);
             NS_LOG_INFO(this << " O-I : " << loss);
-        } // end b1->isIndoor ()
+        }
     }
     else
     {
@@ -101,8 +101,8 @@
         {
             loss = m_okumuraHata->GetLoss(a, b) + ExternalWallLoss(a1);
             NS_LOG_INFO(this << " I-O : " << loss);
-        } // end if (isBIndoor)
-    }     // end if (!isAIndoor)
+        }
+    }
 
     loss = std::max(0.0, loss);
     return loss;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/config-store/model/config-store.cc ns-3.45/src/config-store/model/config-store.cc
--- ns-3.44/src/config-store/model/config-store.cc	2025-03-09 16:55:49.355371000 -0700
+++ ns-3.45/src/config-store/model/config-store.cc	2025-06-01 20:34:45.288701000 -0700
@@ -61,6 +61,7 @@
                 EnumValue(ConfigStore::RAW_TEXT),
                 MakeEnumAccessor<FileFormat>(&ConfigStore::SetFileFormat),
                 MakeEnumChecker(ConfigStore::RAW_TEXT, "RawText", ConfigStore::XML, "Xml"))
+            // NS_DEPRECATED_3_43
             .AddAttribute(
                 "SaveDeprecated",
                 "Save DEPRECATED attributes",
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/core/examples/hash-example.cc ns-3.45/src/core/examples/hash-example.cc
--- ns-3.44/src/core/examples/hash-example.cc	2025-03-09 16:55:49.355371000 -0700
+++ ns-3.45/src/core/examples/hash-example.cc	2025-06-01 20:34:45.289701200 -0700
@@ -248,7 +248,8 @@
     /** The list of collisions. */
     collision_t m_coll;
 
-}; // class Collider
+    // end of class Collider
+};
 
 /**
  * Word list and hashers to test.
@@ -412,7 +413,8 @@
     std::vector<Collider> m_hashes;   /**< List of hash Colliders. */
     std::vector<std::string> m_words; /**< List of unique words. */
 
-}; // class Dictionary
+    // end of class Dictionary
+};
 
 /**
  * Source word list files.
@@ -467,8 +469,7 @@
             dictStream.open(dictFile);
             if (!dictStream.is_open())
             {
-                std::cerr << "Failed to open dictionary file."
-                          << "'" << dictFile << "'" << std::endl;
+                std::cerr << "Failed to open dictionary file.'" << dictFile << "'" << std::endl;
                 continue;
             }
 
@@ -477,18 +478,17 @@
                 std::string phrase;
                 getline(dictStream, phrase);
                 dict.Add(phrase);
-            } // while
+            }
 
             dictStream.close();
-
-        } // for m_files
-
+        }
     } // ReadInto
 
   private:
     std::vector<std::string> m_files; /**< List of word files to use. */
 
-}; // class DictFiles
+    // end of class DictFiles
+};
 
 } // namespace Example
 
@@ -532,7 +532,7 @@
     if (timing)
     {
         dict.Time();
-    } // if (timing)
+    }
 
     return 0;
-} // main
+}
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/core/examples/length-example.cc ns-3.45/src/core/examples/length-example.cc
--- ns-3.44/src/core/examples/length-example.cc	2025-03-09 16:55:49.355371000 -0700
+++ ns-3.45/src/core/examples/length-example.cc	2025-06-01 20:34:45.289701200 -0700
@@ -35,16 +35,18 @@
     double input = 5;
     Length::Quantity quantity(input, Length::Unit::Meter);
 
-    std::cout << "\nConstructors:"
-              << "\nLength (" << input << ", Unit::Meter) = " << Length(input, Length::Unit::Meter)
-              << "\nLength (" << input << ", \"m\") = " << Length(input, "m") << "\nLength ("
-              << input << ", \"meter\") = " << Length(input, "meter") << "\nLength (Quantity("
-              << input << ", Unit::Meter)) = " << Length(quantity)
-              << "\nLength (\"5m\") = " << Length("5m") << "\nLength (\"5 m\") = " << Length("5 m")
-              << "\nLength (\"5meter\") = " << Length("5meter")
-              << "\nLength (\"5 meter\") = " << Length("5 meter")
-              << "\nLength (\"5meters\") = " << Length("5meters")
-              << "\nLength (\"5 meters\") = " << Length("5 meters") << std::endl;
+    std::cout << "\nConstructors:\n"
+              << "Length (" << input << ", Unit::Meter) = " << Length(input, Length::Unit::Meter)
+              << "\n"
+              << "Length (" << input << ", \"m\") = " << Length(input, "m") << "\n"
+              << "Length (" << input << ", \"meter\") = " << Length(input, "meter") << "\n"
+              << "Length (Quantity(" << input << ", Unit::Meter)) = " << Length(quantity) << "\n"
+              << "Length (\"5m\") = " << Length("5m") << "\n"
+              << "Length (\"5 m\") = " << Length("5 m") << "\n"
+              << "Length (\"5meter\") = " << Length("5meter") << "\n"
+              << "Length (\"5 meter\") = " << Length("5 meter") << "\n"
+              << "Length (\"5meters\") = " << Length("5meters") << "\n"
+              << "Length (\"5 meters\") = " << Length("5 meters") << std::endl;
 }
 
 /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/core/examples/sample-show-progress.cc ns-3.45/src/core/examples/sample-show-progress.cc
--- ns-3.44/src/core/examples/sample-show-progress.cc	2025-03-09 16:55:49.355371000 -0700
+++ ns-3.45/src/core/examples/sample-show-progress.cc	2025-06-01 20:34:45.290701200 -0700
@@ -92,7 +92,8 @@
     /** Time between switching workloads. */
     Time m_interval;
 
-}; // class HOLD
+    // end of class HOLD
+};
 
 } // unnamed namespace
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/core/helper/csv-reader.h ns-3.45/src/core/helper/csv-reader.h
--- ns-3.44/src/core/helper/csv-reader.h	2025-03-09 16:55:49.355371000 -0700
+++ ns-3.45/src/core/helper/csv-reader.h	2025-06-01 20:34:45.290701200 -0700
@@ -388,8 +388,7 @@
      * Pointer to the input stream containing the data.
      */
     std::istream* m_stream;
-
-}; // class CsvReader
+};
 
 /****************************************************
  *      Template implementations.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/core/model/ascii-test.h ns-3.45/src/core/model/ascii-test.h
--- ns-3.44/src/core/model/ascii-test.h	2025-03-09 16:55:49.355371000 -0700
+++ ns-3.45/src/core/model/ascii-test.h	2025-06-01 20:34:45.291701000 -0700
@@ -14,6 +14,7 @@
 #include "ascii-file.h"
 #include "test.h"
 
+#include <filesystem>
 #include <stdint.h>
 
 /**
@@ -28,11 +29,19 @@
     do                                                                                             \
     {                                                                                              \
         uint64_t line(0);                                                                          \
-        bool diff = AsciiFile::Diff(gotFilename, expectedFilename, line);                          \
-        NS_TEST_EXPECT_MSG_EQ(diff,                                                                \
-                              false,                                                               \
-                              "ASCII traces " << gotFilename << " and " << expectedFilename        \
-                                              << " differ starting from line " << line);           \
+        bool fileExists = std::filesystem::exists(expectedFilename);                               \
+        if (fileExists)                                                                            \
+        {                                                                                          \
+            bool diff = AsciiFile::Diff(gotFilename, expectedFilename, line);                      \
+            NS_TEST_EXPECT_MSG_EQ(diff,                                                            \
+                                  false,                                                           \
+                                  "ASCII traces " << gotFilename << " and " << expectedFilename    \
+                                                  << " differ starting from line " << line);       \
+        }                                                                                          \
+        else                                                                                       \
+        {                                                                                          \
+            NS_TEST_EXPECT_MSG_EQ(fileExists, true, "File " << expectedFilename << " not found");  \
+        }                                                                                          \
     } while (false)
 
 #endif /* ASCII_TEST_H */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/core/model/attribute-accessor-helper.h ns-3.45/src/core/model/attribute-accessor-helper.h
--- ns-3.44/src/core/model/attribute-accessor-helper.h	2025-03-09 16:55:49.355371000 -0700
+++ ns-3.45/src/core/model/attribute-accessor-helper.h	2025-06-01 20:34:45.291701000 -0700
@@ -218,7 +218,8 @@
      */
     virtual bool DoGet(const T* object, U* v) const = 0;
 
-}; // class AccessorHelper
+    // end of class AccessorHelper
+};
 
 /**
  * @ingroup attributeimpl
@@ -232,9 +233,12 @@
  * @param [in]  memberVariable  The address of the data member.
  * @returns The AttributeAccessor.
  */
+// clang-format off
+// Clang-format guard needed for versions <= 18
 template <typename V, typename T, typename U>
 inline Ptr<const AttributeAccessor>
-DoMakeAccessorHelperOne(U T::*memberVariable)
+DoMakeAccessorHelperOne(U T::* memberVariable)
+// clang-format on
 {
     /* AttributeAccessor implementation for a class member variable. */
     class MemberVariable : public AccessorHelper<T, V>
@@ -244,7 +248,10 @@
          * Construct from a class data member address.
          * @param [in] memberVariable The class data member address.
          */
-        MemberVariable(U T::*memberVariable)
+        // clang-format off
+        // Clang-format guard needed for versions <= 18
+        MemberVariable(U T::* memberVariable)
+            // clang-format on
             : AccessorHelper<T, V>(),
               m_memberVariable(memberVariable)
         {
@@ -279,7 +286,10 @@
             return true;
         }
 
-        U T::*m_memberVariable; // Address of the class data member.
+        // clang-format off
+        // Clang-format guard needed for versions <= 18
+        U T::* m_memberVariable; // Address of the class data member.
+        // clang-format on
     };
 
     return Ptr<const AttributeAccessor>(new MemberVariable(memberVariable), false);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/core/model/attribute-container.h ns-3.45/src/core/model/attribute-container.h
--- ns-3.44/src/core/model/attribute-container.h	2025-03-09 16:55:49.355371000 -0700
+++ ns-3.45/src/core/model/attribute-container.h	2025-06-01 20:34:45.291701000 -0700
@@ -180,10 +180,9 @@
      * @tparam ITER \deduced iterator type
      * \param[in] begin Points to first item to copy
      * \param[in] end Points to one after last item to copy
-     * @return This object with items copied.
      */
     template <class ITER>
-    inline Ptr<AttributeContainerValue<A, Sep, C>> CopyFrom(const ITER begin, const ITER end);
+    inline void CopyFrom(const ITER begin, const ITER end);
 
     container_type m_container; //!< Internal container
 };
@@ -572,14 +571,13 @@
 
 template <class A, char Sep, template <class...> class C>
 template <class ITER>
-Ptr<AttributeContainerValue<A, Sep, C>>
+void
 AttributeContainerValue<A, Sep, C>::CopyFrom(const ITER begin, const ITER end)
 {
     for (ITER iter = begin; iter != end; ++iter)
     {
         m_container.push_back(Create<A>(*iter));
     }
-    return this;
 }
 
 template <typename A, char Sep, template <typename...> class C, typename T1>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/core/model/attribute-helper.h ns-3.45/src/core/model/attribute-helper.h
--- ns-3.44/src/core/model/attribute-helper.h	2025-03-09 16:55:49.355371000 -0700
+++ ns-3.45/src/core/model/attribute-helper.h	2025-06-01 20:34:45.291701000 -0700
@@ -315,9 +315,7 @@
         iss.str(value);                                                                            \
         iss >> m_value;                                                                            \
         NS_ABORT_MSG_UNLESS(iss.eof(),                                                             \
-                            "Attribute value "                                                     \
-                                << "\"" << value << "\""                                           \
-                                << " is not properly formatted");                                  \
+                            "Attribute value \"" << value << "\" is not properly formatted");      \
         return !iss.bad() && !iss.fail();                                                          \
     }
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/core/model/command-line.h ns-3.45/src/core/model/command-line.h
--- ns-3.44/src/core/model/command-line.h	2025-03-09 16:55:49.355371000 -0700
+++ ns-3.45/src/core/model/command-line.h	2025-06-01 20:34:45.292701200 -0700
@@ -451,7 +451,9 @@
          * @return The default value
          */
         virtual std::string GetDefault() const = 0;
-    }; // class Item
+
+        // end of class Item
+    };
 
     /**
      * @ingroup commandline
@@ -468,7 +470,9 @@
 
         T* m_valuePtr;         /**< Pointer to the POD location */
         std::string m_default; /**< String representation of default value */
-    };                         // class UserItem
+
+        // end of class UserItem
+    };
 
     /**
      * @ingroup commandline
@@ -488,7 +492,9 @@
          * function is \c const in the base class Item.
          */
         mutable std::string m_value;
-    }; // class StringItem
+
+        // end of class StringItem
+    };
 
     /**
      * @ingroup commandline
@@ -508,7 +514,9 @@
         std::size_t m_size;
         /** The default value. */
         std::string m_default;
-    }; // class CharStarItem
+
+        // end of class CharStarItem
+    };
 
     /**
      * @ingroup commandline
@@ -524,7 +532,9 @@
 
         ns3::Callback<bool, const std::string&> m_callback; /**< The Callback */
         std::string m_default; /**< The default value, as a string, if it exists. */
-    };                         // class CallbackItem
+
+        // end of class CallbackItem
+    };
 
     /**
      * Tuple type returned by GetOptionName().
@@ -659,7 +669,8 @@
     /** The source file name (without `.cc`), as would be given to `ns3 run` */
     std::string m_shortName;
 
-}; // class CommandLine
+    // end of class CommandLine
+};
 
 /**
  * @ingroup commandline
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/core/model/config.cc ns-3.45/src/core/model/config.cc
--- ns-3.44/src/core/model/config.cc	2025-03-09 16:55:49.355371000 -0700
+++ ns-3.45/src/core/model/config.cc	2025-06-01 20:34:45.292701200 -0700
@@ -220,7 +220,8 @@
     /** The Config path element. */
     std::string m_element;
 
-}; // class ArrayMatcher
+    // end of class ArrayMatcher
+};
 
 ArrayMatcher::ArrayMatcher(std::string element)
     : m_element(element)
@@ -368,7 +369,8 @@
     /** The Config path. */
     std::string m_path;
 
-}; // class Resolver
+    // end of class Resolver
+};
 
 Resolver::Resolver(std::string path)
     : m_path(path)
@@ -672,7 +674,8 @@
     /** The list of Config path roots. */
     Roots m_roots;
 
-}; // class ConfigImpl
+    // end of class ConfigImpl
+};
 
 void
 ConfigImpl::ParsePath(std::string path, std::string* root, std::string* leaf) const
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/core/model/deprecated.h ns-3.45/src/core/model/deprecated.h
--- ns-3.44/src/core/model/deprecated.h	2025-03-09 16:55:49.359371000 -0700
+++ ns-3.45/src/core/model/deprecated.h	2025-06-01 20:34:45.292701200 -0700
@@ -85,6 +85,13 @@
 
 /**
  * @ingroup deprecation
+ * @def NS_DEPRECATED_3_45
+ * Tag for things deprecated in version ns-3.45.
+ */
+#define NS_DEPRECATED_3_45(msg) NS_DEPRECATED("Deprecated in ns-3.45: " msg)
+
+/**
+ * @ingroup deprecation
  * @def NS_DEPRECATED_3_44
  * Tag for things deprecated in version ns-3.44.
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/core/model/des-metrics.h ns-3.45/src/core/model/des-metrics.h
--- ns-3.44/src/core/model/des-metrics.h	2025-03-09 16:55:49.359371000 -0700
+++ ns-3.45/src/core/model/des-metrics.h	2025-06-01 20:34:45.292701200 -0700
@@ -149,8 +149,7 @@
 
     /** Mutex to control access to the output file. */
     std::mutex m_mutex;
-
-}; // class DesMetrics
+};
 
 } // namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/core/model/environment-variable.h ns-3.45/src/core/model/environment-variable.h
--- ns-3.44/src/core/model/environment-variable.h	2025-03-09 16:55:49.359371000 -0700
+++ ns-3.45/src/core/model/environment-variable.h	2025-06-01 20:34:45.292701200 -0700
@@ -154,7 +154,8 @@
         /** The key, value store. */
         KeyValueStore m_dict;
 
-    }; // class Dictionary
+        // end of class Dictionary
+    };
 
     /**
      * Set an environment variable.
@@ -214,7 +215,8 @@
     /** Clear the instance, forcing all new lookups. */
     static void Clear();
 
-}; // class EnvironmentVariable
+    // end of class EnvironmentVariable
+};
 
 } // namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/core/model/example-as-test.cc ns-3.45/src/core/model/example-as-test.cc
--- ns-3.44/src/core/model/example-as-test.cc	2025-03-09 16:55:49.359371000 -0700
+++ ns-3.45/src/core/model/example-as-test.cc	2025-06-01 20:34:45.292701200 -0700
@@ -122,7 +122,7 @@
     if (m_shouldNotErr)
     {
         // Make sure the example didn't outright crash
-        NS_TEST_ASSERT_MSG_EQ(status, 0, "example " + m_program + " failed");
+        NS_TEST_ASSERT_MSG_EQ(status, 0, "example " + m_program + " exited abnormally");
     }
 
     // If we're just introspecting the command-line
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/core/model/example-as-test.h ns-3.45/src/core/model/example-as-test.h
--- ns-3.44/src/core/model/example-as-test.h	2025-03-09 16:55:49.359371000 -0700
+++ ns-3.45/src/core/model/example-as-test.h	2025-06-01 20:34:45.293701200 -0700
@@ -102,7 +102,8 @@
     std::string m_args;    /**< Any additional arguments to the program. */
     bool m_shouldNotErr;   /**< Whether error return status is a test failure. */
 
-}; // class ExampleAsTestCase
+    // end of class ExampleAsTestCase
+};
 
 /**
  * @ingroup testing
@@ -209,7 +210,8 @@
                        const std::string args = "",
                        const Duration duration = Duration::QUICK,
                        const bool shouldNotErr = true);
-}; // class ExampleAsTestSuite
+    // end of class ExampleAsTestSuite
+};
 
 } // namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/core/model/hash-fnv.h ns-3.45/src/core/model/hash-fnv.h
--- ns-3.44/src/core/model/hash-fnv.h	2025-03-09 16:55:49.359371000 -0700
+++ ns-3.45/src/core/model/hash-fnv.h	2025-06-01 20:34:45.293701200 -0700
@@ -94,8 +94,7 @@
     uint32_t m_hash32;
     uint64_t m_hash64;
     /**@}*/
-
-}; // class Fnv1a
+};
 
 } // namespace Function
 
